#-----------------------------------------------------------------------
#	Makefile for MPW (Macintosh Programmers Workshop by Apple)
#
#   Project:    Tiling Demo
#   File:       Tiling Demo.make
#
#	Targets:	68K.Final, PPC.Final, FAT.Final (default)
#				68K.Debug, PPC.Debug, All
# 				Clean (remove objects), Clean-All (remove binaries)
#				
#	Written by Anders F Bjrklund <afb@algonet.se>
#   and Michael Matuszek <mmatuszek@mbayweb.com>
#
#	Generated from Makefile.template by makemake.pl
#-----------------------------------------------------------------------

Makefile	  	= "Tiling Demo.make"		# high-level make (this file)
MakeOutput	  	= "Tiling Demo.makelow"	# low-level make (built by this file)

"Tiling Demo" 			FAT.Final			# Default High-Level Target
All					Debug Final
Debug 				68K.Debug PPC.Debug
Final 				68K.Final PPC.Final
Clean				Clean.Debug Clean.Final
Clean-All			Clean-All.Debug Clean-All.Final

#----------------------------------------------------

Tgt				=	#
Opt				=	#
Sym				=	#
Dbg				=	#
Mbg				=	#

Common = 		-f {Makefile}
				
Debug = 		-d	Tgt=Debug 
				-d	Opt=off 
				-d	Sym=on 
				-d	Dbg=Debug
			
Final = 		-d	Tgt=Final 
				-d	Opt=speed 
				-d	Sym=off 
				-d	Dbg=

Debug68K =		{Common} {Debug} -d Mbg="-mbg on"
DebugPPC =		{Common} {Debug} -d Mbg="-tb on"
Final68K =		{Common} {Final} -d Mbg="-mbg off"
FinalPPC =		{Common} {Final} -d Mbg=""
FinalFAT =		{Common} {Final}

#----------------------------------------------------
# The high-level targets
#----------------------------------------------------

68K.Debug 			$OutOfDate
	Make -d Binary=68K {Debug68K} 68K >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}

PPC.Debug 			$OutOfDate
	Make -d Binary=PPC {DebugPPC} PPC >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}

68K.Final 			$OutOfDate
	Make -d Binary=68K {Final68K} 68K >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}
	
PPC.Final 			$OutOfDate
	Make -d Binary=PPC {FinalPPC} PPC >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}

FAT.Final 			$OutOfDate
	Make -d Binary=FAT {FinalFAT} FAT >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}

Clean.Debug 		$OutOfDate
	Make {Common} {Debug} Remove >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}

Clean.Final 		$OutOfDate
	Make {Common} {Final} Remove >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}

Clean-All.Debug 	$OutOfDate
	Make {Common} {Debug} Remove-All >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}

Clean-All.Final 	$OutOfDate
	Make {Common} {Final} Remove-All >{MakeOutput}
	Execute {MakeOutput}
	Delete {MakeOutput}

#-----------------------------------------------------------------------
# Project Variables
#-----------------------------------------------------------------------

Sources     	=	":"
Headers      	=	":"
Objects			=	":{Dbg}Objects:"
TargetFolder	=	":"

SWHeaders 		=	"{SpriteWorld}Headers:,{SpriteWorld}Utils:,{SpriteWorld}Utils:Brian's Extensions:"
BPHeaders		= 	"{SpriteWorld}BlitPixie:Headers:"

AppName	      	=	Tiling Demo
AppName68K		=	"{AppName} 68K {Tgt}"
AppNamePPC		=	"{AppName} PPC {Tgt}"
AppNameFat		=	"{AppName} FAT"

68K	 				{AppName68K}
PPC	 				{AppNamePPC}
FAT					{AppNameFat}

#-----------------------------------------------------------------------
# Compiler options
#-----------------------------------------------------------------------

CC68K     		=	{C}		# normally SC
CCPPC    		=	{PPCC}	# normally MrC
LINK68K 		=	Link	# ILink gave error: segment without name ?
LINKPPC 		=	PPCLink

Options			=
Warnings        =	-proto strict -typecheck strict  
IncludesFolders	=	-i {Headers} -i {SWHeaders} -i {BPHeaders}

Creator			=	'????'
Type			=	'APPL'

CCOptions       =    {IncludesFolders} {Options} {Warnings} -opt {Opt} 
CCOptions68K    =	 {CCOptions} {Mbg} -model far
CCOptionsPPC	=	 {CCOptions} {Mbg}

LinkOptions     =	 -sym {Sym} -t {Type} -c {Creator}
LinkOptions68K   =	 {LinkOptions} -model far
LinkOptionsPPC	=	 {LinkOptions}

#-----------------------------------------------------------------------
# These are the Tiling Demo project objects.
#-----------------------------------------------------------------------

AppObjects68K =	
				{Objects}'Tiling Demo.c.o' 
				#
AppObjectsPPC = 
				{Objects}'Tiling Demo.c.x' 
				#
AppResources = 
				{Objects}'Tiling Demo.rsrc.r' 
				#

#-----------------------------------------------------------------------
# These are the Mac OS system libraries.
#-----------------------------------------------------------------------

Libs68K = 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o" 
		"{CLibraries}StdCLib.o" 
		"{Libraries}MathLib.o" 
		"{Libraries}IntEnv.o" 
		"{Libraries}ToolLibs.o"
		  
LibsPPC = 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{SharedLibraries}MathLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o" 
		"{PPCLibraries}PPCToolLibs.o"
	
#-----------------------------------------------------------------------
# These are the SpriteWorld libraries.
#-----------------------------------------------------------------------

SWLibs68K = 
		"{SpriteWorld}MPW:QDGlobals.o" 
		"{SpriteWorld}Libraries:SpriteWorld{Dbg}Lib.o" 
		"{SpriteWorld}Libraries:SpriteWorld{Dbg}Utils.o" 
		
SWLibsPPC = 
		"{SpriteWorld}MPW:QDGlobals.x" 
		"{SpriteWorld}Libraries:SpriteWorld{Dbg}Lib.x" 
		"{SpriteWorld}Libraries:SpriteWorld{Dbg}Utils.x" 

SWResources = 
		"{SpriteWorld}MPW:ApplicationSize.r" 

#-----------------------------------------------------------------------
# These are modified default build rules.  
#-----------------------------------------------------------------------

{Objects}			{Sources}

.c.o				.c
	Echo "# Compiling {Default}.c using {CC68K}"
	{CC68K} {CCOptions68K} {DepDir}{Default}.c -o {TargDir}{Default}.c.o 

.c.x				.c
	Echo "# Compiling {Default}.c using {CCPPC}"
	{CCPPC} {CCOptionsPPC} {DepDir}{Default}.c -o {TargDir}{Default}.c.x 

.rsrc.r				.rsrc
	Echo "# Compiling {Default}.rsrc using DeRez"
	Echo "#include "Types.r"" >{TargDir}{Default}.rsrc.r
	DeRez -i {RIncludes} {DepDir}{Default}.rsrc Types.r 
									 		>>{TargDir}{Default}.rsrc.r

#-----------------------------------------------------------------------
# The low-level output targets.  
#-----------------------------------------------------------------------

Objects68K		=	{AppObjects68K} {Libs68K} {SWLibs68K}
ObjectsPPC		=	{AppObjectsPPC} {LibsPPC} {SWLibsPPC} 
Resources		=	{AppResources} {SWResources}

{AppName68K}		{Resources} {Objects68K}
	Echo "# Making {AppName68K}"
	{LINK68K} {LinkOptions68K} -o {TargetFolder}{AppName68K} {Objects68K}
	Rez -a -i {RIncludes} -o {TargetFolder}{AppName68K} {Resources}

{AppNamePPC}		{Resources} {ObjectsPPC}
	Echo "# Making {AppNamePPC}"
	{LINKPPC} {LinkOptionsPPC} -o {TargetFolder}{AppNamePPC} {ObjectsPPC}
	Rez -a -i {RIncludes} -o {TargetFolder}{AppNamePPC} {Resources}
	
{AppNameFat}		{AppNamePPC} {AppName68K}	
	Echo "# Making {AppNameFat}"
	Duplicate -y  {TargetFolder}{AppName68K} {TargetFolder}{AppNameFat}
	MergeFragment {TargetFolder}{AppNamePPC} {TargetFolder}{AppNameFat}

