//	Platform-dependant definitions for BlitPixie

#if defined(macintosh)		
///--------------------------------------------------------------------------------------
//	Mac OS

#include <ConditionalMacros.h>
#include <Types.h>

#if CGLUESUPPORTED
#define BLITPIXIE_DEBUGGER(str)	debugstr( str )
#else
#include <TextUtils.h>
#define BLITPIXIE_DEBUGGER(str)	DebugStr( C2PStr(str) )
#endif

#elif defined(WIN32)		
///--------------------------------------------------------------------------------------
//	Windows 9X, NT

#include <WINDEF.H>
#include <WINDOWS.H>

typedef RECT			Rect;
typedef BOOL			Boolean;
#define true			TRUE
#define false			FALSE

#define BLITPIXIE_DEBUGGER(str)	(void) MessageBox( (HWND) NULL, str, "Debugger", MB_OK )

#else						
///--------------------------------------------------------------------------------------
//	 Other (ANSI C) 

#include <stdlib.h>
#include <stdio.h>

struct Rect				
{
	int		left,top,bottom,right;
};

typedef struct Rect		Rect;
typedef unsigned char	Boolean;
#define true			1
#define false			0

#define BLITPIXIE_DEBUGGER(str)	(void) fputs( str, stderr )

///--------------------------------------------------------------------------------------
#endif

